Bug Hunting Session
Bug 82164 - FILEOPEN: MS ODT - Table of Contents has wrong style
Summary: FILEOPEN: MS ODT - Table of Contents has wrong style
Status: RESOLVED INSUFFICIENTDATA
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: Other All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords: filter:odt
Depends on:
Blocks: TableofContents-Indexes ODF-import
  Show dependency treegraph
 
Reported: 2014-08-05 02:37 UTC by Yousuf Philips (jay) (retired)
Modified: 2019-12-12 03:40 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments
sample file (196.44 KB, application/vnd.oasis.opendocument.text)
2014-08-05 02:37 UTC, Yousuf Philips (jay) (retired)
Details
Word 2013 VS LibO 4.3.1 (214.88 KB, image/png)
2014-08-05 02:39 UTC, Yousuf Philips (jay) (retired)
Details
How it shows in Calligra (118.05 KB, image/png)
2014-08-05 02:57 UTC, Yousuf Philips (jay) (retired)
Details
Analysis of the problem for one level (18.41 KB, application/vnd.oasis.opendocument.text)
2017-04-27 17:41 UTC, Regina Henschel
Details
Screenshot of TextMaker 2016 (104.03 KB, image/png)
2017-04-27 17:44 UTC, Regina Henschel
Details
Screenshot from WebODF (61.82 KB, image/png)
2017-10-31 06:34 UTC, Yousuf Philips (jay) (retired)
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Yousuf Philips (jay) (retired) 2014-08-05 02:37:28 UTC
Created attachment 104034 [details]
sample file

Steps:
1) open attached file
2) scroll to page 2
3) You will see that the table of contents text is like hyperlinks (blue with underlines)

Tested in 4.3.1 on Linux Mint and master on Windows.
Comment 1 Yousuf Philips (jay) (retired) 2014-08-05 02:39:46 UTC
Created attachment 104035 [details]
Word 2013 VS LibO 4.3.1
Comment 2 Yousuf Philips (jay) (retired) 2014-08-05 02:57:27 UTC
Created attachment 104036 [details]
How it shows in Calligra

In Calligra Words, the TOC text is in black and the underline is in blue.
Comment 3 Jorendc 2014-08-19 20:17:43 UTC
Repro, Version: 4.4.0.0.alpha0+
Build ID: c67026f27023008d124c8ab76533169f032b04f6
TinderBox: MacOSX-x86@49-TDF, Branch:master, Time: 2014-08-17_08:03:30
Comment 4 QA Administrators 2015-09-04 02:49:40 UTC Comment hidden (obsolete)
Comment 5 Robinson Tryon (qubit) 2015-12-10 01:38:22 UTC Comment hidden (obsolete)
Comment 6 Telesto 2016-12-21 12:29:29 UTC
Repro with:
Version: 5.4.0.0.alpha0+
Build ID: 9cfb2f2f03b5ec086487fd483298466db0b09010
CPU Threads: 4; OS Version: Windows 6.19; UI Render: default; 
TinderBox: Win-x86@42, Branch:master, Time: 2016-12-20_23:58:02
Locale: nl-NL (nl_NL); Calc: CL
Comment 7 Thomas Lendo 2017-04-26 21:30:53 UTC
Jay, do you have another file which shows this bug? I only can reproduce with the attached one.

But after investigating in styles.xml, I think it's no bug of LibO, the cause is the character file "Hyperlink" which has the blue color and underline. The paragraph styles TOC1, TOC2 and TOC3 don't have these attributes.
Comment 8 Yousuf Philips (jay) (retired) 2017-04-27 13:02:52 UTC
@Regina, @Jos: What is your take on this?

I checked WebODF and it also shows it in blue (text and underline). Is there another odf online tool to verify what it should be like.
Comment 9 Regina Henschel 2017-04-27 17:41:00 UTC
Created attachment 132917 [details]
Analysis of the problem for one level

I think LibreOffice does it wrong. Because many steps are needed, I have put my analysis into a text document.

I think the app "TextMaker 2016" renders it correct. The entry itself has to be blue and underlined in blue. The tab fill characters and the page number has to be black and not underlined.
Comment 10 Regina Henschel 2017-04-27 17:44:34 UTC
Created attachment 132918 [details]
Screenshot of TextMaker 2016
Comment 11 Yousuf Philips (jay) (retired) 2017-10-31 06:34:33 UTC
Created attachment 137392 [details]
Screenshot from WebODF
Comment 12 QA Administrators 2018-11-01 03:52:18 UTC Comment hidden (obsolete)
Comment 13 Regina Henschel 2018-11-01 12:56:50 UTC
The style is still different in LO. Tested with Version: 6.2.0.0.alpha1+ (x64)
Build ID: 5690acdb44e8017055bb88e86e19d207836bb95c
CPU threads: 8; OS: Windows 10.0; UI render: default; VCL: win; 
TinderBox: Win-x86_64@42, Branch:master, Time: 2018-10-27_02:59:30
Locale: de-DE (en_US); Calc: CL
Comment 14 Timur 2019-05-14 14:47:26 UTC
I don't think this bug is correct. We'd better have full original DOCX and then save it as ODT in current MSO (which is how it was probably created). And not unknown ODT where ToC cannot be updated. 
Since I can't find it (not from https://blogs.msdn.microsoft.com/gp/2013/07/24/rds-solution-for-dynamics-gp-on-azure/), I set back to Needinfo.
Comment 15 QA Administrators 2019-11-11 03:37:49 UTC
Dear Yousuf Philips (jay) (retired),

This bug has been in NEEDINFO status with no change for at least
6 months. Please provide the requested information as soon as
possible and mark the bug as UNCONFIRMED. Due to regular bug
tracker maintenance, if the bug is still in NEEDINFO status with
no change in 30 days the QA team will close the bug as INSUFFICIENTDATA
due to lack of needed information.

For more information about our NEEDINFO policy please read the
wiki located here:
https://wiki.documentfoundation.org/QA/Bugzilla/Fields/Status/NEEDINFO

If you have already provided the requested information, please
mark the bug as UNCONFIRMED so that the QA team knows that the
bug is ready to be confirmed.
 
Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-NeedInfo-Ping
Comment 16 QA Administrators 2019-12-12 03:40:47 UTC
Dear Yousuf Philips (jay) (retired),

Please read this message in its entirety before proceeding.

Your bug report is being closed as INSUFFICIENTDATA due to inactivity and
a lack of information which is needed in order to accurately
reproduce and confirm the problem. We encourage you to retest
your bug against the latest release. If the issue is still
present in the latest stable release, we need the following
information (please ignore any that you've already provided):

a) Provide details of your system including your operating
   system and the latest version of LibreOffice that you have
   confirmed the bug to be present

b) Provide easy to reproduce steps – the simpler the better

c) Provide any test case(s) which will help us confirm the problem

d) Provide screenshots of the problem if you think it might help

e) Read all comments and provide any requested information

Once all of this is done, please set the bug back to UNCONFIRMED
and we will attempt to reproduce the issue. Please do not:

a) respond via email 

b) update the version field in the bug or any of the other details
   on the top section of our bug tracker

Warm Regards,
QA Team

MassPing-NeedInfo-FollowUp